Skip to content
Login Sign up

PUT requests

Forward a PUT request to the target URL by sending your body to the Web Scraping API with api_key and url as query parameters. Use this to drive REST endpoints that require PUT.

PUT https://scrape.shifter.io/v1?api_key=YOUR_API_KEY&url=<TARGET_URL>
ParameterTypeRequiredDescription
api_keystringyesYour Web Scraping API key
urlstringyesTarget URL to PUT to

The request body is forwarded verbatim to the target URL.

Terminal window
curl -X PUT "https://scrape.shifter.io/v1?api_key=YOUR_API_KEY&url=https%3A%2F%2Fhttpbin.org%2Fput" \
-H "Content-Type: application/json" \
--data '{"foo":"bar"}'
{
"args": {},
"data": "{\"foo\":\"bar\"}",
"headers": {
"Content-Type": "application/json",
"Host": "httpbin.org"
},
"json": { "foo": "bar" },
"origin": "185.162.168.36",
"url": "https://httpbin.org/put"
}